﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TBS1000 Self-Test VISA
INSTRUMENT:            Sub Tek TBS1000 Sig Path Comp Cal VISA
INSTRUMENT:            Sub Tek TBS1000 Select Channel VISA
INSTRUMENT:            Sub Tek TBS1000 Trig Chk and Level Adj VISA
DATE:                  2018-09-05 21:48:59
AUTHOR:                Fluke
REVISION:              $Revision: 25079 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       183
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Model(s) Covered:
#      TBS1000 Series
#          TBS1022, TBS1042, TBS1062, TBS1064, TBS1102, TBS1104,
#		   TBS1152, TBS1154.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                    PSUB("Self-Test")
  1.002  JMPL         SIGNAL_PATH_COMPENSATION     PSUB("Sig Path Comp")
  1.003  JMPL         SELECT_CHANNEL               PSUB("Select Channel")
  1.004  JMPL         TRIGGER                      PSUB("Trig Chk")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

# =====  Sub Tek TBS1000 Self-Test VISA  ====================================

  2.001  LABEL        SELF_TEST
  2.002  RSLT         =
  2.003  HEAD         SELF TEST
  2.004  TARGET
# Query the result of power on diagnostics.
  2.005  VISA         DIA:RESU:FLA?[I$]
  2.006  EVAL   -e FINDI(MEM2, "PASS", 1) : SELF TEST

  3.001  MATH         @Abort = FAIL()

  3.002  IF           @Abort
  3.003  DISP         SELF TEST failed!
  3.003  DISP
  3.003  DISP         The DUT may need to be serviced.
  3.003  DISP
  3.003  DISP         Procedure will be aborted.
  3.004  ENDIF

  3.005  HEAD
  3.006  END

  3.007  EVAL   Increment step number

# =====  Sub Tek TBS1000 Sig Path Comp Cal VISA  ============================

  4.001  LABEL        SIGNAL_PATH_COMPENSATION
  4.002  HEAD         SIGNAL PATH COMPENSATION
  4.003  OPBR         -z It is recommended that a Signal Path Compensation
  4.003  OPBR         Test be performed before running the performance Test.
  4.003  OPBR         It is only necessary to run this test one time.
  4.003  OPBR
  4.003  OPBR         Do you want to run the Signal Path Compensation Test?

  4.004  IF           MEM1
  4.005  RSLT         =
  4.006  TARGET
  4.007  DISP         Remove all connections from the DUT.
  4.008  VISA         [T1000]*SRE 0;CAL:INTERNAL
  4.009  DISP         Select Advance when Signal Path Compensation completes.
  4.010  VISA         [T1000]CAL:STATUS?[I$]
  4.011  EVAL   -e FINDI(MEM2, "PASS", 1) : SIGNAL PATH COMPENSATION

  5.001  MATH         @Abort = FAIL()

  5.002  IF           @Abort
  5.003  DISP         SIGNAL PATH COMPENSATION failed!
  5.003  DISP
  5.003  DISP         The DUT may need be serviced.
  5.003  DISP
  5.003  DISP         Procedure will be aborted.
  5.004  ENDIF

  5.005  ENDIF

  5.006  HEAD
  5.007  END

  5.008  EVAL   Increment step number

# =====  Sub Tek TBS1000 Select Channel VISA  ===============================

  6.001  LABEL        SELECT_CHANNEL
  6.002  MATH         @Cmd = "*RST;HEADER OFF"
  6.003  CALL         Sub Tek TBS1000 Wait for OPC VISA
  6.004  JMPL         END                          @Abort

# Select ON/OFF based on whether DUT is 2 or 4 channel.
  6.005  IF           @NumChan == 2

# Specify channel being tested.
  6.006  IF           @Chan == 1
  6.007  VISA         SELECT:CH1 ON;CH2 OFF
  6.008  ELSE
  6.009  VISA         SELECT:CH1 OFF;CH2 ON
  6.010  ENDIF

  6.011  ELSE         ;  @NumChan == 4

# Specify channel being tested.
  6.012  IF           @Chan == 1
  6.013  VISA         SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  6.014  ELSEIF       @Chan == 2
  6.015  VISA         SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  6.016  ELSEIF       @Chan == 3
  6.017  VISA         SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  6.018  ELSE
  6.019  VISA         SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  6.020  ENDIF

  6.021  ENDIF

  6.022  END

  6.023  EVAL   Increment step number

# =====  Sub Tek TBS1000 Select Channel VISA  ===============================

  7.001  LABEL        TRIGGER
# First set the trigger to 50%.
  7.002  VISA         TRIG:MAI SETL
# Set the start point to adjust the trigger level if signal was not triggered
# at 50% position.
  7.003  MATH         TrigLevel = -1 * @PeakValue
# Set the increasement of trigger level.
  7.004  MATH         Step = @PeakValue / 10

  7.005  DO
# Check the status of trigger.
  7.006  VISA         [D1000]TRIG:STATE?[I$]
  7.007  MATH         @Triggered = FINDI(MEM2, "Trig", 1)

  7.008  IF           NOT(@Triggered)
# Increase the trigger level.
  7.009  MATH         TrigLevel = TrigLevel + Step
  7.010  VISA         TRIG:MAI:LEV [V TrigLevel]
  7.011  ENDIF

# Exit loop when signal has been trigged or trigger level has exceeded the
# signal peak value and signal is still not triggered yet.
  7.012  UNTIL        @Triggered || TrigLevel > @PeakValue

  7.013  LABEL        END
  7.014  END
